import {Template} from "../Template"
import {UniversalPath} from "@extollo/util"

/**
 * A template that generates a new configuration file in the app/configs directory.
 */
const config_template: Template = {
    name: 'config',
    fileSuffix: '.config.ts',
    description: 'Create a new config file.',
    baseAppPath: ['configs'],
    render(name: string, fullCanonicalName: string, targetFilePath: UniversalPath) {
        return `import { env } from '@extollo/lib'

export default {
    key: env('VALUE_ENV_VAR', 'default value'),
}
`
    }
}

export { config_template }
