import {Template} from "../Template"
import {UniversalPath} from "@extollo/util"

/**
 * Template that generates a new middleware class in app/http/middlewares.
 */
const middleware_template: Template = {
    name: 'middleware',
    fileSuffix: '.middleware.ts',
    description: 'Create a middleware class that can be applied to routes.',
    baseAppPath: ['http', 'middlewares'],
    render(name: string, fullCanonicalName: string, targetFilePath: UniversalPath) {
        return `import {Middleware} from "@extollo/lib"
import {Injectable} from "@extollo/di"

/**
 * ${name} Middleware
 * --------------------------------------------
 * Put some description here.
 */
@Injectable()
export class ${name} extends Middleware {
    public async apply() {

    }
}
`
    }
}

export { middleware_template }
